Skip to main content
Customers

Add a property to a customer

POST
/customers/{id}/properties
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

idstringrequired

Body

application/json
addressobject
labelstring
Maximum string length: 255
locationobject

Response

application/json

The new property

X-RateLimit-Limitintegerheader

The company's daily request limit.

X-RateLimit-Remainingintegerheader

Requests left in the current daily window.

X-RateLimit-Resetstringheader

When the daily window resets (UTC ISO timestamp).

X-RateLimit-Minute-Limitintegerheader

The company's per-minute request limit.

X-RateLimit-Minute-Remainingintegerheader

Requests left in the current minute.

X-RateLimit-Minute-Resetstringheader

When the minute window resets (UTC ISO timestamp).

addressobjectrequired
created_atstringrequired
idintegerrequired
is_primarybooleanrequired
labelstring | nullrequired
locationobject | nullrequired
updated_atstringrequired